using System;
using System.Web.UI.WebControls;
using System.Web.UI;
using System.ComponentModel;
using System.ComponentModel.Design;

using AjaxControlToolkit;

[assembly: System.Web.UI.WebResource("Web.UI.WebControls.ReparentingBehavior.js", "text/javascript")]

namespace Web.UI.WebControls
{
    [Designer(typeof(ReparentingDesigner))]
    [ClientScriptResource("Web.UI.WebControls.ReparentingBehavior", "Web.UI.WebControls.ReparentingBehavior.js")]
    [TargetControlType(typeof(Control))]
    public class ReparentingExtender : ExtenderControlBase
    {
        [ExtenderControlProperty]
        [Description("The ID of the parent that the target will be reparented to")]
        [DefaultValue("")]
        [IDReferenceProperty(typeof(WebControl))]
        [ClientPropertyName("parentControlID")]
        public string ParentControlID
        {
            get
            {
                return GetPropertyValue("ParentControlID", "");
            }
            set
            {
                SetPropertyValue("ParentControlID", value);
            }
        }
    }
}
