var $uwm = {
    old_pageMouseDown: null,
    old_parentElement: null,
    menuDivContainer: null,

    showPopupMenu: function(mn, evnt, x, y) {
        var menuDiv = document.getElementById(mn + '_MainM');
        if (menuDiv == null)
            return;

        // reparent menu so it will show in the correct position
        this.menuDivContainer = menuDiv.parentElement;
        if (this.menuDivContainer.parentElement != document.forms[0]) {
            this.old_parentElement = this.menuDivContainer.parentElement;
            this.menuDivContainer.parentElement.removeChild(this.menuDivContainer);
            document.forms[0].appendChild(this.menuDivContainer);
        }

        // fake up an event object so the position will be computed
        // by the correct logic in the infragistics library. if we pass
        // in x,y then that logic is not executed.
        var e = new Object();
        if (evnt.target) e.target = document.body;
        if (evnt.srcElement) e.srcElement = document.body;
        e.x = x;
        e.y = y;

        igmenu_showMenu(mn, e, x, y);
    },

    hidePopupMenu: function() {
        ig_inMenu = false;
        igmenu_pageMouseDown();
    },

    // event handlers
    pageMouseDown: function(evnt) {
        $uwm.old_pageMouseDown(evnt);

        // undo a menu reparenting
        if ($uwm.menuDivContainer && $uwm.old_parentElement) {
            document.forms[0].removeChild($uwm.menuDivContainer);
            $uwm.old_parentElement.appendChild($uwm.menuDivContainer);
            $uwm.menuDivContainer = null;
            $uwm.old_parentElement = null;
        }
    }
};
window.attachEvent('onload', function() {
    // override the igmenu_pageMouseDown global function so we know
    // when a menu is hidden.
    $uwm.old_pageMouseDown = igmenu_pageMouseDown;
    igmenu_pageMouseDown = $uwm.pageMouseDown;
    document.detachEvent('onmousedown', igmenu_pageMouseDown);
    document.attachEvent('onmousedown', $uwm.pageMouseDown);
});


